package gov.va.med.esr.service.external;

import java.util.List;

/**
 *
 * @author DNS   zhangs
 * Date: September 2014
 *
 */

public class VHICCardInfo extends ExternalComponent {

	/**
	 *
	 */
	private static final long serialVersionUID = -4436042073365921262L;


	private String currentVHICCardNumber=null;
	private String currentVHICCardStatus = null;
	private int totalCardsMailed;
	private int totalCardsRequested;
	private List<VHICCardDetailInfo> vhicCardDetailInfoList;
	private VHICCardDetailInfo currentVhicCardDetailInfo;



	public int getTotalCardsRequested() {
		return totalCardsRequested;
	}
	public void setTotalCardsRequested(int totalCardsRequested) {
		this.totalCardsRequested = totalCardsRequested;
	}
	public int getTotalCardsMailed() {
		return totalCardsMailed;
	}
	public void setTotalCardsMailed(int totalCardsMailed) {
		this.totalCardsMailed = totalCardsMailed;
	}

	public List<VHICCardDetailInfo> getVhicCardDetailInfoList() {
		return vhicCardDetailInfoList;
	}
	public void setVhicCardDetailInfoList(
			List<VHICCardDetailInfo> vhicCardDetailInfos) {
		this.vhicCardDetailInfoList = vhicCardDetailInfos;
	}
	public VHICCardDetailInfo getCurrentVhicCardDetailInfo() {
		return currentVhicCardDetailInfo;
	}
	public void setCurrentVhicCardDetailInfo(
			VHICCardDetailInfo currentVhicCardDetailInfo) {
		this.currentVhicCardDetailInfo = currentVhicCardDetailInfo;
	}
	public String getCurrentVHICCardNumber() {
		return currentVHICCardNumber;
	}
	public void setCurrentVHICCardNumber(String currentVHICCardNumber) {
		this.currentVHICCardNumber = currentVHICCardNumber;
	}
	public String getCurrentVHICCardStatus() {
		return currentVHICCardStatus;
	}
	public void setCurrentVHICCardStatus(String currentVHICCardStatus) {
		this.currentVHICCardStatus = currentVHICCardStatus;
	}

}
